Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356483 - HE can't get started if a new vNIC was added with an empty profile.
Summary: HE can't get started if a new vNIC was added with an empty profile.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ovirt-3.6.9
: ---
Assignee: Jenny Tokar
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On: 1348640
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 08:54 UTC by Yaniv Lavi
Modified: 2017-05-11 09:28 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1348640
Environment:
Last Closed: 2016-09-21 18:04:48 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1929 normal SHIPPED_LIVE Moderate: Red Hat Virtualization Manager (RHV) bug fix 3.6.9 2016-09-21 21:57:10 UTC
oVirt gerrit 60258 master MERGED core: Disable adding a nic with empty profile to HE vm 2016-07-18 19:16:39 UTC
oVirt gerrit 61028 ovirt-engine-3.6 MERGED core: Disable adding a nic with empty profile to HE vm 2016-07-25 11:18:28 UTC

Comment 1 Nikolai Sednev 2016-08-29 16:29:13 UTC
The action being prevented and error message being popped-up:
	
"
Operation Canceled


Error while executing action: 

HostedEngine:
Hosted Engine VM cannot have network interface with empty profile."

Works for me on these components on host:
Host:
libvirt-client-1.2.17-13.el7_2.5.x86_64
vdsm-4.17.34-1.el7ev.noarch
ovirt-vmconsole-1.0.4-1.el7ev.noarch
qemu-kvm-rhev-2.3.0-31.el7_2.21.x86_64
ovirt-hosted-engine-setup-1.3.7.3-1.el7ev.noarch
sanlock-3.2.4-3.el7_2.x86_64
ovirt-setup-lib-1.0.1-1.el7ev.noarch
rhevm-appliance-20160620.0-1.el7ev.noarch
mom-0.5.5-1.el7ev.noarch
rhevm-sdk-python-3.6.8.0-1.el7ev.noarch
rhev-release-3.6.9-1-001.noarch
ovirt-hosted-engine-ha-1.3.5.8-1.el7ev.noarch
ovirt-vmconsole-host-1.0.4-1.el7ev.noarch
ovirt-host-deploy-1.4.1-1.el7ev.noarch
Linux version 3.10.0-327.36.1.el7.x86_64 (mockbuild@x86-037.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-4) (GCC) ) #1 SMP Wed Aug 17 03:02:37 EDT 2016
Linux 3.10.0-327.36.1.el7.x86_64 #1 SMP Wed Aug 17 03:02:37 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.2 (Maipo)
rhevm-appliance-20160620.0-1.el7ev.noarch

Engine:
ovirt-engine-extension-aaa-jdbc-1.0.7-2.el6ev.noarch
ovirt-setup-lib-1.0.1-1.el6ev.noarch
ovirt-vmconsole-1.0.4-1.el6ev.noarch
rhevm-setup-plugin-ovirt-engine-3.6.9-0.1.el6.noarch
ovirt-vmconsole-proxy-1.0.4-1.el6ev.noarch
rhevm-setup-plugin-ovirt-engine-common-3.6.9-0.1.el6.noarch
ovirt-host-deploy-1.4.1-1.el6ev.noarch
ovirt-host-deploy-java-1.4.1-1.el6ev.noarch
rhevm-image-uploader-3.6.1-2.el6ev.noarch
rhevm-webadmin-portal-3.6.9-0.1.el6.noarch
rhevm-spice-client-x64-cab-3.6-7.el6.noarch
rhevm-setup-plugins-3.6.5-1.el6ev.noarch
rhevm-setup-base-3.6.9-0.1.el6.noarch
rhevm-setup-3.6.9-0.1.el6.noarch
rhevm-tools-backup-3.6.9-0.1.el6.noarch
rhevm-branding-rhev-3.6.0-10.el6ev.noarch
rhevm-setup-plugin-ovirt-engine-3.6.9-0.1.el6.noarch
rhevm-tools-3.6.9-0.1.el6.noarch
rhevm-restapi-3.6.9-0.1.el6.noarch
rhevm-spice-client-x86-cab-3.6-7.el6.noarch
rhevm-guest-agent-common-1.0.11-6.el6ev.noarch
rhevm-sdk-python-3.6.9.0-2.el6ev.noarch
rhevm-setup-plugin-vmconsole-proxy-helper-3.6.9-0.1.el6.noarch
rhevm-vmconsole-proxy-helper-3.6.9-0.1.el6.noarch
rhevm-backend-3.6.9-0.1.el6.noarch
rhevm-3.6.9-0.1.el6.noarch
rhevm-log-collector-3.6.1-1.el6ev.noarch
rhevm-spice-client-x86-msi-3.6-7.el6.noarch
rhev-release-3.6.9-1-001.noarch
rhevm-lib-3.6.9-0.1.el6.noarch
rhevm-setup-plugin-ovirt-engine-common-3.6.9-0.1.el6.noarch
rhevm-cli-3.6.9.0-1.el6ev.noarch
rhevm-extensions-api-impl-3.6.9-0.1.el6.noarch
rhevm-websocket-proxy-3.6.9-0.1.el6.noarch
rhevm-doc-3.6.8-1.el6eng.noarch
rhevm-userportal-3.6.9-0.1.el6.noarch
rhevm-setup-plugin-websocket-proxy-3.6.9-0.1.el6.noarch
rhevm-dependencies-3.6.1-1.el6ev.noarch
rhev-guest-tools-iso-3.6-6.el6ev.noarch
rhevm-dbscripts-3.6.9-0.1.el6.noarch
rhevm-spice-client-x64-msi-3.6-7.el6.noarch
rhevm-iso-uploader-3.6.0-1.el6ev.noarch
Linux version 2.6.32-642.el6.x86_64 (mockbuild@x86-033.build.eng.bos.redhat.com) (gcc version 4.4.7 20120313 (Red Hat 4.4.7-17) (GCC) ) #1 SMP Wed Apr 13 00:51:26 EDT 2016
Linux 2.6.32-642.el6.x86_64 #1 SMP Wed Apr 13 00:51:26 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 6.8 (Santiago)


I've deployed clean hosted engine over iSCSI storage domain from appliance, then upgraded the appliance's components to latest bits.

Moving to verified.

Comment 3 errata-xmlrpc 2016-09-21 18:04:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1929.html


Note You need to log in before you can comment on or make changes to this bug.